require_relative "base"

module Validators
  module FieldValidator
    class Provider < Base

      def valid?
        @providers = ::Provider.providers
        @providers.include?(@value)
      end

      def message
        "Invalid value, available values: '#{@providers.join("', '")}'"
      end
    end
  end
end

